/*******************************************************************************
 * FoxProjectile_StickyStunMineBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxProjectile_StickyStunMineBase extends FoxProjectile_StunMineBase
    abstract
    config(Projectile)
    hidecategories(Navigation);

var AkEvent StartLoopEvent;
var AkEvent StopLoopEvent;
var const Vector StickMeshOffset;

simulated event PostBeginPlay()
{
    super(FoxProjectile_MineBase).PostBeginPlay();
    PlayAkEvent(StartLoopEvent, true);
    //return;    
}

simulated event ParticleSystem GetImpactParticleSystem(PhysicalMaterial PhysMat)
{
    // End:0x196
    if(FoxGRI(WorldInfo.GRI).IsEffectRelevant(Instigator, Location, 4000.0, false, FoxGRI(WorldInfo.GRI).CheckEffectDistance_SpawnWithinCullDistance))
    {
        // End:0x196
        if((((PhysMat != none) && PhysMat.PhysicalMaterialProperty != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty) != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info != none)
        {
            return FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info.ProjectileImpactFX;
        }
    }
    return none;
    //return ReturnValue;    
}

simulated function bool ShouldBounce(Actor Touched, Vector HitNormal)
{
    return super(FoxProjectile_GrenadeBase).ShouldBounce(Touched, HitNormal);
    //return ReturnValue;    
}

simulated function PlayImpactSound(PhysicalMaterial PhysMat)
{
    local AkEvent HitEvent;

    // End:0x19F
    if(FoxGRI(WorldInfo.GRI).IsEffectRelevant(Instigator, Location, 4000.0, false, FoxGRI(WorldInfo.GRI).CheckEffectDistance_SpawnWithinCullDistance))
    {
        // End:0x19F
        if((((PhysMat != none) && PhysMat.PhysicalMaterialProperty != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty) != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info != none)
        {
            HitEvent = FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info.ProjectileImpactSound;
        }
    }
    // End:0x1C6
    if(HitEvent != none)
    {
        PlayAkEvent(HitEvent, true, true, true);
    }
    //return;    
}

simulated event Destroyed()
{
    Mesh.DetachFromAny();
    PlayAkEvent(StopLoopEvent, true);
    super(FoxProjectile_MineBase).Destroyed();
    //return;    
}

simulated function HandleStickTo(StickToDetails NewStickToInfo)
{
    SetMeshOffset();
    PlayAkEvent(StopLoopEvent, true);
    TrailEmitterComponent.DeactivateSystem();
    super(FoxProjectile_MineBase).HandleStickTo(NewStickToInfo);
    bCanBeDamaged = true;
    //return;    
}

simulated function SetMeshOffset()
{
    Mesh.SetTranslation(StickMeshOffset);
    //return;    
}

simulated event Rotator GetAdjustedRotation()
{
    //return ReturnValue;    
}

defaultproperties
{
    AdjustedRotation=(Pitch=32768,Yaw=0,Roll=32768)
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_StickyStunMineBase.StaticMeshComponent0'
    Mesh=StaticMeshComponent0
    bTraceStickToWorld=true
    bStickWithVelocityRotation=true
    GrenadeTimerLength=0.0
    IndirectTimerLength=1.0
    GravityScale=0.30
    ProjLightEnvironment=DynamicLightEnvironmentComponent'Default__FoxProjectile_StickyStunMineBase.MyLightEnvironment'
    Speed=5000.0
    MaxSpeed=5000.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_StickyStunMineBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_StickyStunMineBase.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=DynamicLightEnvironmentComponent'Default__FoxProjectile_StickyStunMineBase.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_StickyStunMineBase.StaticMeshComponent0'
    Components(2)=StaticMeshComponent0
    LifeSpan=15.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_StickyStunMineBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}